Package com.mockobjects.servlet

# Class MockFilterConfig

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.servlet.MockFilterConfig

All Implemented Interfaces:
  `Verifiable`

public class MockFilterConfig extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockFilterConfig()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFilterName()`
`String`
`getInitParameter(String name)`
`Enumeration`
`getInitParameterNames()`
`ServletContext`
`getServletContext()`
`void`
`setupGetServletContext(ServletContext servletContext)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockFilterConfig

public MockFilterConfig()

## Method Details

### getFilterName

public String getFilterName()

### setupGetServletContext

public void setupGetServletContext(ServletContext servletContext)

### getServletContext

public ServletContext getServletContext()

### getInitParameter

public String getInitParameter(String name)

### getInitParameterNames

public Enumeration getInitParameterNames()